API ReferenceOrganisation Management
Get organisation verifications (Admin only)
Retrieve all verifications for a specific organisation with pagination. Admin access required.
GET
/v1/organisation-management/{id}/verificationsAuthorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Organisation ID
Query Parameters
page?number
limit?number
status?string
Value in
- "PENDING"
- "PROCESSING"
- "SUCCESS"
- "FAILED"
- "EXPIRED"
type?string
Value in
- "NIN"
- "BVN"
- "LINKS"
- "OTHER"
source?string
Value in
- "WEB"
- "SDK"
- "API"
sessionId?string
startDate?string
endDate?string
Response Body
application/json
curl -X GET "https://example.com/v1/organisation-management/string/verifications"{ "success": true, "statusCode": 200, "message": "Request processed successfully", "timestamp": "2025-10-20T16:30:00.000Z", "path": "/v1/auth/register", "data": { "verifications": [ { "id": "ver_abc123", "organisationId": "org_xyz789", "status": "SUCCESS", "type": "NIN", "accessLevel": "Premium", "sessionId": "sess_123456789", "source": "WEB", "log": "[2025-10-20T12:00:00.000Z] Verification initiated", "cost": 150.5, "meta": { "userId": "user123", "ipAddress": "192.168.1.1" }, "referenceId": "req_abc123", "createdAt": "2025-10-20T12:00:00.000Z", "updatedAt": "2025-10-20T12:05:00.000Z" } ], "total": 50, "page": 1, "limit": 10, "totalPages": 5 }}